Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.servlets.controls.window
Class ToggleButtonPresentationContext

    java.lang.Object
      com.bea.netuix.servlets.controls.ControlContext
          com.bea.netuix.servlets.controls.PresentationContext
              com.bea.netuix.servlets.controls.window.AbstractButtonPresentationContext
                  com.bea.netuix.servlets.controls.window.ToggleButtonPresentationContext

All Implemented Interfaces
  Serializable

    public class ToggleButtonPresentationContext

extends AbstractButtonPresentationContext

An implementation of AbstractButtonPresentationContext. Toggle buttons differ from standard buttons in that they have two "modes": activate and deactivate. For example, an `Edit` button has an "enter edit" (activate) mode and a "leave edit" (deactivate) mode.

Like its parent, this class is typically used during portal rendering via look and feel skeleton files (e.g. togglebutton.jsp).

See Also
  `getToggleButtonPresentationContext(javax.servlet.http.HttpServletRequest)`, Serialized Form

Field Summary

Fields inherited from class com.bea.netuix.servlets.controls.window.AbstractButtonPresentationContext
`CLASS_NAME`

Method Summary
`String` | `getActivateAltText()` The activateAltText attribute represents the alt text to be rendered when this `Button` is in its "activate" state.
`String` | `getActivateImage()` The activateImage attribute represents the name of the standard image that this `Button` should use when representing its "activate" state.
`String` | `getActivateRolloverImage()` The activateRolloverImage attribute represents the name of the image to be rendered upon rollover of this `Button` while in its "activate" state.
`String` | `getAltText()` This method will return the appropriate alt text (activateAltText or deactivateAltText) for the current state of the `Button`.
`String` | `getDeactivateAltText()` The deactivateAltText attribute represents the alt text to be rendered when this `Button` is in its "deactivate" state.
`String` | `getDeactivateImage()` The deactivateImage attribute represents the name of the standard image that this `Button` should use when representing its "deactivate" state.
`String` | `getDectivateRolloverImage()` The deactivateRolloverImage attribute represents the name of the image to be rendered upon rollover of this `Button` while in its "deactivate" state.
`String` | `getImage()` This method will return the appropriate image name (activateImage or deactivateImage) for the current state of the `Button`.
`String` | `getImageSrc()` This method will return the appropriate image content URI (activateImage or deactivateImage) for the current state of the `Button`.
`String` | `getRolloverImage()` This method will return the appropriate rolloverImage name (activateRolloverImage or deactivateRolloverImage) for the current state of the `Button`.
`String` | `getRolloverImageSrc()` This method will return the appropriate rolloverImage content URI (activateRolloverImage or deactivateRolloverImage) for the current state of the `Button`.
`static ToggleButtonPresentationContext` | `getToggleButtonPresentationContext(javax.servlet.http.HttpServletRequest request)` This is a convenience method for returning a reference to the one and only `ToggleButtonPresentationContext` for a given `ToggleButton`.
`boolean` | `isActive()` This method can be used to determine the current state of the `Button`.

Methods inherited from class com.bea.netuix.servlets.controls.window.AbstractButtonPresentationContext
`getAbstractButtonPresentationContext, getContextKey, getEvent, getEventParam, getName, getParentWindowPresentationContext, getWindowLabel, isParentPortlet`

Methods inherited from class com.bea.netuix.servlets.controls.PresentationContext
`getAttributeRenderer, getChildren, getChildren, getFirstChild, getOrderedChildren, getParsedProperties, getPresentationClass, getPresentationId, getPresentationStyle, getProperties, getProperty, getProperty, getPropertyAsBoolean, getPropertyAsInt, getRenderFormat, getResolvedLocale, getTagName, isVisible, setVisible`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getActivateImage

    public String getActivateImage()

  The activateImage attribute represents the name of the standard image that this `Button` should use when representing its "activate" state.

  Returns
    the value of the activateImage attribute for this `Button` portal component, if any

### getDeactivateImage

    public String getDeactivateImage()

  The deactivateImage attribute represents the name of the standard image that this `Button` should use when representing its "deactivate" state.

  Returns
    the value of the deactivateImage attribute for this `Button` portal component, if any

### getImage

    public String getImage()

  This method will return the appropriate image name (activateImage or deactivateImage) for the current state of the `Button`. For example, if the `Button` is currently in its activate state, the deactivate image name will be returned.

  Overrides:
    `getImage` in class `AbstractButtonPresentationContext`
  Returns
    the appropriate image name, based on the current `Button` state, if any

### getImageSrc

    public String getImageSrc()

  This method will return the appropriate image content URI (activateImage or deactivateImage) for the current state of the `Button`. For example, if the `Button` is currently in an activate state, the deactivate image URI will be returned.

  Overrides:
    `getImageSrc` in class `AbstractButtonPresentationContext`
  Returns
    the appropriate image content URI, based on the current `Button` state, if any

### getActivateRolloverImage

    public String getActivateRolloverImage()

  The activateRolloverImage attribute represents the name of the image to be rendered upon rollover of this `Button` while in its "activate" state.

  Returns
    the value of the activateRolloverImage attribute for this `Button` portal component, if any

### getDectivateRolloverImage

    public String getDectivateRolloverImage()

  The deactivateRolloverImage attribute represents the name of the image to be rendered upon rollover of this `Button` while in its "deactivate" state.

  Returns
    the value of the deactivateRolloverImage attribute for this `Button` portal component, if any

### getRolloverImage

    public String getRolloverImage()

  This method will return the appropriate rolloverImage name (activateRolloverImage or deactivateRolloverImage) for the current state of the `Button`. For example, if the `Button` is currently in an activate state, the deactivate rolloverImage name will be returned.

  Overrides:
    `getRolloverImage` in class `AbstractButtonPresentationContext`
  Returns
    the appropriate rolloverImage name, based on the current `Button` state, if any

### getRolloverImageSrc

    public String getRolloverImageSrc()

  This method will return the appropriate rolloverImage content URI (activateRolloverImage or deactivateRolloverImage) for the current state of the `Button`. For example, if the `Button` is currently in an activate state, the deactivate rolloverImage content URI will be returned.

  Overrides:
    `getRolloverImageSrc` in class `AbstractButtonPresentationContext`
  Returns
    the appropriate rolloverImage content URI, based on the current `Button` state, if any

### getActivateAltText

    public String getActivateAltText()

  The activateAltText attribute represents the alt text to be rendered when this `Button` is in its "activate" state.

  Returns
    the value of the activateAltText attribute for this `Button` portal component, if any

### getDeactivateAltText

    public String getDeactivateAltText()

  The deactivateAltText attribute represents the alt text to be rendered when this `Button` is in its "deactivate" state.

  Returns
    the value of the deactivateAltText attribute for this `Button` portal component, if any

### getAltText

    public String getAltText()

  This method will return the appropriate alt text (activateAltText or deactivateAltText) for the current state of the `Button`. For example, if the `Button` is currently in an activate state, the deactivate alt text will be returned.

  Overrides:
    `getAltText` in class `AbstractButtonPresentationContext`
  Returns
    the appropriate alt text, based on the current `Button` state, if any

### isActive

    public boolean isActive()

  This method can be used to determine the current state of the `Button`. If the `Button` is currently in an activate state, true will be returned.

  Returns
    true if the `Button` is in an activate state

### getToggleButtonPresentationContext

    public static ToggleButtonPresentationContext getToggleButtonPresentationContext(javax.servlet.http.HttpServletRequest request)

  This is a convenience method for returning a reference to the one and only `ToggleButtonPresentationContext` for a given `ToggleButton`. Note this method will only work if called from within a portal (e.g. togglebutton.jsp skeleton). This method may return null if called when no appropriate context exists, but such a context should safely exist when being fetched from the associated skeleton JSP during normal portal rendering.

  Parameters
    `request` - The current HTTPServletRequest instance
  Returns
    A reference to the current ToggleButtonPresentationContext, if any

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.